--- old/usr/src/lib/smbsrv/libfksmbsrv/common/fksmb_encrypt_pkcs.c	2020-04-15 01:43:35.761128407 +0000
+++ new/usr/src/lib/smbsrv/libfksmbsrv/common/fksmb_encrypt_pkcs.c	2020-04-15 01:43:35.766922157 +0000
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2020 RackTop Systems, Inc.
  */
 
 /*
@@ -33,7 +34,15 @@
 
 /* ARGSUSED */
 int
-smb3_encrypt_getmech(smb_crypto_mech_t *mech)
+smb3_aes_ccm_getmech(smb_crypto_mech_t *mech)
+{
+	cmn_err(CE_NOTE, "fksmbsrv does not support SMB3 Encryption");
+	return (-1);
+}
+
+/* ARGSUSED */
+int
+smb3_aes_gcm_getmech(smb_crypto_mech_t *mech)
 {
 	cmn_err(CE_NOTE, "fksmbsrv does not support SMB3 Encryption");
 	return (-1);
@@ -41,12 +50,19 @@
 
 /* ARGSUSED */
 void
-smb3_crypto_init_param(smb3_crypto_param_t *param,
+smb3_crypto_init_ccm_param(smb3_crypto_param_t *param,
     uint8_t *nonce, size_t noncesize, uint8_t *auth, size_t authsize,
     size_t datasize)
 {
 }
 
+/* ARGSUSED */
+void
+smb3_crypto_init_gcm_param(smb3_crypto_param_t *param,
+    uint8_t *nonce, size_t noncesize, uint8_t *auth, size_t authsize)
+{
+}
+
 /*
  * Start the KCF session, load the key
  */
